from edge_engine.streamio.datastream.datastreamwrapper import DataStreamWrapper
import subprocess as sp
import cv2


class OPENCVOutputStream(DataStreamWrapper):

    def __init__(self):
        super().__init__()

    def publish(self, x):
        cv2.imshow('Dev Test', x['frame'])
        key = cv2.waitKey(1)
